<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Granada
 */
// Obtener la categoría actual
$category = get_queried_object();
$category_id = $category->term_id;

// Obtener el campo de ACF relacionado con la categoría
$imagen_destacada = get_field('imagen_destacada', 'category_' . $category_id);



get_header();
?>
	<section class="blog-header" style="background-image: url(<?php echo $imagen_destacada; ?>);">
		<div class="container">
			<h1 class="page-title"><?php single_cat_title(); ?></h1>
		</div>
	</section>
	<div class="container">
		<?php 
			$category_description = category_description();
			
			if ( ! empty( $category_description ) ) {
				echo '<div class="category-description">';
				echo $category_description;
				echo '</div>';
			}
			?>
	</div>
	<main id="primary" class="site-main">
	    
		<div class="post-list"> 
			<?php
			if ( have_posts() ) :

				
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<a href="<?php the_permalink(); ?>">
							<?php the_post_thumbnail( 'large' )?>
						</a>
						<div class="post-list__content">
							<span><?php  the_category(', '); ?></span>
							<a href="<?php the_permalink(); ?>">
								<h3><?php the_title(); ?></h3>
								<?php the_excerpt(); ?>
							</a>
						</div>
						
					</article>
					<?php

				endwhile;

				the_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>
		</div>
	</main><!-- #main -->

<?php

get_footer();
