<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Granada
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, user-scable=no">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(  );?>/css/granada.css?ver=<?php echo time() ?>">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	
	<header id="masthead" class="site-header">
		<?php if(is_front_page()): ?>
			<div class="show-cats">
				<img src="<?php echo get_site_url();?>/wp-content/uploads/2024/12/close-menu.svg" alt="Cerrar Categorías">
				<img src="<?php echo get_site_url();?>/wp-content/uploads/2024/12/open-menu.svg" alt="Mostrar Categorías">
			</div>

		<?php endif; ?>
		<div class="container">
			<div class="site-branding">
				<div>
					<?php the_custom_logo(); ?>
					<span class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span>
				</div>
				<div class="burger">
					<span></span><span></span><span></span>
				</div>
			</div><!-- .site-branding -->

			<nav id="site-navigation" class="main-navigation">
				
				<?php
				wp_nav_menu(
					array(
						'theme_location' => 'menu-1',
						'menu_id'        => 'primary-menu',
					)
				);
				?>
			</nav><!-- #site-navigation -->
		</div>
	</header><!-- #masthead -->