<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Granada
 */

get_header();
?>	
	<section class="blog-header">
		<?php dynamic_sidebar( 'blog-header' ); ?>
		<div class="search-blog">
			<form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
				<input type="text" name="s" placeholder="Buscar en el blog">
				<button type="submit">
					<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24"><path fill="#fff" d="M15.793 15.793a1 1 0 0 1 1.414 0l4 4a1 1 0 0 1-1.414 1.414l-4-4a1 1 0 0 1 0-1.414" opacity=".5"/><path fill="#fff" d="M2.75 10.5a7.75 7.75 0 1 1 15.5 0 7.75 7.75 0 0 1-15.5 0m7.75-6.25a6.25 6.25 0 1 0 0 12.5 6.25 6.25 0 0 0 0-12.5"/></svg>
				</button>	
			</form>
			<!-- Select con las categorias del blog, con enlaces a cada categoria -->
			
			
		</div>
	</section>
	<main id="primary" class="site-main">
		
		<div class="post-list"> 
			<?php
			if ( have_posts() ) :

				
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<a href="<?php the_permalink(); ?>">
							<?php the_post_thumbnail( 'large' )?>
						</a>
						<div class="post-list__content">
							<span><?php  the_category(', '); ?></span>
							<a href="<?php the_permalink(); ?>">
								<h3><?php the_title(); ?></h3>
								<?php the_excerpt(); ?>
							</a>
						</div>
						
					</article>
					<?php

				endwhile;

				the_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>
		</div>
	</main><!-- #main -->

<?php

get_footer();
