<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Granada
 */

?>

<section class="no-results not-found">
	<header class="page-header">
		<h1 class="page-title"><?php esc_html_e( '¡Estamos trabajando para ti!', 'granada' ); ?></h1>
	</header><!-- .page-header -->

	<div class="page-content">
		<?php
		if ( is_home() && current_user_can( 'publish_posts' ) ) :

			printf(
				'<p>' . wp_kses(
					/* translators: 1: link to WP admin new post page. */
					__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'granada' ),
					array(
						'a' => array(
							'href' => array(),
						),
					)
				) . '</p>',
				esc_url( admin_url( 'post-new.php' ) )
			);

		elseif ( is_search() ) :
			?>

			<p><?php esc_html_e( 'En este momento no hay artículos disponibles en esta categoría, pero no te preocupes, estamos preparando contenido interesante que pronto podrás disfrutar. ¡Gracias por tu paciencia!', 'granada' ); ?></p>
			<?php
			

		else :
			?>

			<p><?php esc_html_e( 'En este momento no hay artículos disponibles en esta categoría, pero no te preocupes, estamos preparando contenido interesante que pronto podrás disfrutar. ¡Gracias por tu paciencia!', 'granada' ); ?></p>
			<?php
			

		endif;
		?>
	</div><!-- .page-content -->
</section><!-- .no-results -->
